interactions:
- request:
    body: '{"messages": [{"role": "system", "content": "You are Analyst. You are an
      expert analyst who provides clear, structured insights.\nYour personal goal
      is: Provide structured analysis on topics"}, {"role": "user", "content": "\nCurrent
      Task: Analyze the benefits of remote work briefly. Keep it concise.\n\nProvide
      your complete response:"}], "stream": false, "response_format": {"type": "json_schema",
      "json_schema": {"name": "AnalysisResult", "schema": {"description": "Structured
      output for analysis results.", "properties": {"topic": {"description": "The
      topic analyzed", "title": "Topic", "type": "string"}, "key_points": {"description":
      "Key insights from the analysis", "items": {"type": "string"}, "title": "Key
      Points", "type": "array"}, "summary": {"description": "Brief summary of findings",
      "title": "Summary", "type": "string"}}, "required": ["topic", "key_points",
      "summary"], "title": "AnalysisResult", "type": "object", "additionalProperties":
      false}, "description": "Schema for AnalysisResult", "strict": true}}, "stop":
      ["\nObservation:"]}'
    headers:
      Accept:
      - application/json
      Connection:
      - keep-alive
      Content-Length:
      - '1054'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      api-key:
      - X-API-KEY-XXX
      authorization:
      - AUTHORIZATION-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
    method: POST
    uri: https://fake-azure-endpoint.openai.azure.com/openai/deployments/gpt-4o-mini/chat/completions?api-version=2024-12-01-preview
  response:
    body:
      string: '{"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"protected_material_code":{"filtered":false,"detected":false},"protected_material_text":{"filtered":false,"detected":false},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"finish_reason":"stop","index":0,"logprobs":null,"message":{"annotations":[],"content":"{\"topic\":\"Benefits
        of Remote Work\",\"key_points\":[\"Increased Flexibility: Employees can choose
        when and where to work, leading to better work-life balance.\",\"Cost Savings:
        Reduction in commuting costs for employees and office space expenses for employers.\",\"Access
        to a Wider Talent Pool: Companies can hire talent from anywhere, not limited
        by geographic location.\",\"Improved Productivity: Many employees report increased
        focus and reduced distractions at home.\",\"Environmental Benefits: Decreased
        commuting leads to lower carbon emissions and reduced traffic congestion.\"],\"summary\":\"Remote
        work offers significant advantages including flexibility, cost savings, access
        to diverse talent, enhanced productivity, and environmental benefits.\"}","refusal":null,"role":"assistant"}}],"created":1770924741,"id":"chatcmpl-D8WiDybRYxLqFSsV0Y9VEuZgFmoZo","model":"gpt-4o-mini-2024-07-18","object":"chat.completion","prompt_filter_results":[{"prompt_index":0,"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"jailbreak":{"filtered":false,"detected":false},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}}}],"system_fingerprint":"fp_f97eff32c5","usage":{"completion_tokens":127,"completion_tokens_details":{"accepted_prediction_tokens":0,"audio_tokens":0,"reasoning_tokens":0,"rejected_prediction_tokens":0},"prompt_tokens":160,"prompt_tokens_details":{"audio_tokens":0,"cached_tokens":0},"total_tokens":287}}

        '
    headers:
      Content-Length:
      - '1976'
      Content-Type:
      - application/json
      Date:
      - Thu, 12 Feb 2026 19:32:22 GMT
      Strict-Transport-Security:
      - STS-XXX
      apim-request-id:
      - APIM-REQUEST-ID-XXX
      azureml-model-session:
      - AZUREML-MODEL-SESSION-XXX
      x-accel-buffering:
      - 'no'
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
      x-ms-deployment-name:
      - gpt-4o-mini
      x-ms-rai-invoked:
      - 'true'
      x-ms-region:
      - X-MS-REGION-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"messages": [{"role": "system", "content": "You are Analyst. You are an
      expert analyst who provides clear, structured insights.\nYour personal goal
      is: Provide structured analysis on topics"}, {"role": "user", "content": "\nCurrent
      Task: Analyze the benefits of remote work briefly. Keep it concise.\n\nProvide
      your complete response:"}], "stream": false, "response_format": {"type": "json_schema",
      "json_schema": {"name": "AnalysisResult", "schema": {"description": "Structured
      output for analysis results.", "properties": {"topic": {"description": "The
      topic analyzed", "title": "Topic", "type": "string"}, "key_points": {"description":
      "Key insights from the analysis", "items": {"type": "string"}, "title": "Key
      Points", "type": "array"}, "summary": {"description": "Brief summary of findings",
      "title": "Summary", "type": "string"}}, "required": ["topic", "key_points",
      "summary"], "title": "AnalysisResult", "type": "object", "additionalProperties":
      false}, "description": "Schema for AnalysisResult", "strict": true}}, "stop":
      ["\nObservation:"]}'
    headers:
      Accept:
      - application/json
      Connection:
      - keep-alive
      Content-Length:
      - '1054'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      api-key:
      - X-API-KEY-XXX
      authorization:
      - AUTHORIZATION-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
    method: POST
    uri: https://fake-azure-endpoint.openai.azure.com/openai/deployments/gpt-4o-mini/chat/completions?api-version=2024-12-01-preview
  response:
    body:
      string: '{"choices":[{"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"protected_material_code":{"filtered":false,"detected":false},"protected_material_text":{"filtered":false,"detected":false},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}},"finish_reason":"stop","index":0,"logprobs":null,"message":{"annotations":[],"content":"{\"topic\":\"Benefits
        of Remote Work\",\"key_points\":[\"Increased flexibility for employees to
        manage their work-life balance.\",\"Cost savings for both employees (e.g.,
        commuting, meals) and employers (e.g., office space).\",\"Access to a wider
        talent pool without geographical limitations.\",\"Improved productivity due
        to fewer workplace distractions.\",\"Enhanced job satisfaction and retention
        rates among employees.\"],\"summary\":\"Remote work offers significant benefits
        including improved flexibility, cost savings, access to talent, enhanced productivity,
        and greater employee satisfaction.\"}","refusal":null,"role":"assistant"}}],"created":1770924743,"id":"chatcmpl-D8WiFi9kSuHKRKZuxqreOqCOXoCQj","model":"gpt-4o-mini-2024-07-18","object":"chat.completion","prompt_filter_results":[{"prompt_index":0,"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"jailbreak":{"filtered":false,"detected":false},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}}}],"system_fingerprint":"fp_f97eff32c5","usage":{"completion_tokens":103,"completion_tokens_details":{"accepted_prediction_tokens":0,"audio_tokens":0,"reasoning_tokens":0,"rejected_prediction_tokens":0},"prompt_tokens":160,"prompt_tokens_details":{"audio_tokens":0,"cached_tokens":0},"total_tokens":263}}

        '
    headers:
      Content-Length:
      - '1818'
      Content-Type:
      - application/json
      Date:
      - Thu, 12 Feb 2026 19:32:25 GMT
      Strict-Transport-Security:
      - STS-XXX
      apim-request-id:
      - APIM-REQUEST-ID-XXX
      azureml-model-session:
      - AZUREML-MODEL-SESSION-XXX
      x-accel-buffering:
      - 'no'
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
      x-ms-deployment-name:
      - gpt-4o-mini
      x-ms-rai-invoked:
      - 'true'
      x-ms-region:
      - X-MS-REGION-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
